# Batch Processing

## Make a request

{% hint style="warning" %}
This feature is limited to 10 addresses.
{% endhint %}

The best way to interact with our API:

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X POST "https://api.bitcoin-balance-api.com/v1/address/batch" \
  -H "Content-Type: application/json" \
  -d '{
    "addresses": [
      "tb1qlw09ycnp3qgqw9alqgx93ed7cg5kmnyud326ky",
      "2N8qAsMRn4WvEZJmTWf2K5Vn1C69JH9XjTW"
    ]
  }'
```

{% endtab %}
{% endtabs %}

## Response

The response from the api contains the same fields as a single balance request, but in an array of all addresses. E.g.:

```json
{
  "status": 200,
  "results": [
    {
      "address": "tb1qlw09ycnp3qgqw9alqgx93ed7cg5kmnyud326ky",
      "balance": 954929635,
      "status": "success"
    },
    {
      "address": "2N8qAsMRn4WvEZJmTWf2K5Vn1C69JH9XjTW",
      "balance": 541997,
      "status": "success"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bitcoin-balance-api.com/endpoints/batch-processing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
